Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# TAO_PSDL_Export_Dcl Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Export_Dcl:

[legend]
Collaboration diagram for TAO_PSDL_Export_Dcl:

[legend]
List of all members.

## Public Member Functions
| TAO_PSDL_Export_Dcl (TAO_PSDL_Node *type_of_export_one)
| ****************************************************************
| TAO_PSDL_Export_Dcl (TAO_PSDL_Node *type_of_export_one, TAO_PSDL_Node *type_of_export_two)
virtual | ~TAO_PSDL_Export_Dcl (void)
TAO_PSDL_Node * | type_of_export_one (void) const
| Get the value.
TAO_PSDL_Node * | type_of_export_two (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.
## Private Attributes
TAO_PSDL_Node * | type_of_export_one_
| The values.
TAO_PSDL_Node * | type_of_export_two_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Export_Dcl::TAO_PSDL_Export_Dcl | ( | TAO_PSDL_Node * | type_of_export_one | ) |

| ****************************************************************

TAO_PSDL_Export_Dcl::TAO_PSDL_Export_Dcl | ( | TAO_PSDL_Node * | type_of_export_one,
|  | TAO_PSDL_Node * | type_of_export_two
| ) |

TAO_PSDL_Export_Dcl::~TAO_PSDL_Export_Dcl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Export_Dcl::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Export_Dcl::type_of_export_one | ( | void |  | ) | const

| Get the value.

TAO_PSDL_Node * TAO_PSDL_Export_Dcl::type_of_export_two | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Export_Dcl::type_of_export_one_`[private]`

| The values.

TAO_PSDL_Node* TAO_PSDL_Export_Dcl::type_of_export_two_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp